Upload a new next License

Prev Next
Post
/license/next

Upload a new next License to be switched when CA certificate is switched.

Security
HTTP
Type bearer
Body parameters

License import.

object

Object to import a new license.

license
string Required

The license file contents for this Controller (with the matching request code).

Responses
200

License details.

Expand All
object
maxUsers
number

The maximum users allowed by the license.

Example200
maxPortalUsers
number

The maximum Portal users allowed by the license.

Example200
maxServiceUsers
number Deprecated

The maximum Service users allowed by the license. Deprecated, use Local Users instead.

Example200
usersLeaseTimeHours
number

Number of hours User Licenses will be reserved for users before they are reclaimable by others.

Example720
portalUsersLeaseTimeHours
number

Number of hours User Licenses will be reserved for Portal users before they are reclaimable by others.

Example720
serviceUsersLeaseTimeHours
number Deprecated

Number of hours User Licenses will be reserved for Service users before they are reclaimable by others. Deprecated, use Local Users instead.

Example720
maxSites
number

The maximum sites allowed by the license. If it's the usage details, then it's the amount of sites in the system at present.

Example5
maxConnectorGroups
number

The maximum Connector groups allowed by the license.

Example150
riskEngine
boolean

Whether the Risk Engine feature is enabled.

optimizer
boolean

Whether the Optimizer features are enabled.

applicationDiscovery
boolean Deprecated

The old license feature name for Optimizer, kept for backward compatibility. Deprecated as of 7.0.

observability
boolean

Whether the Observability features are enabled.

digitalExperienceMonitoring
boolean Deprecated

The old license feature name for Observability, kept for backward compatibility. Deprecated as of 7.0.

collectiveReplication
boolean

Whether the Collective Replication feature is enabled.

operationalTechnology
boolean

Whether the Operational Technology features are enabled.

maxBrokeredAccess
number

The maximum amount of brokered access allowed by the license.

Example100
brokeredAccessLeaseTimeHours
number

Number of hours Brokered Access will be reserved for users before they are reclaimable by others.

Example720
maxSessionGovernance
number

The maximum amount of session governance allowed by the license.

Example100
sessionGovernanceLeaseTimeHours
number

Number of hours Session Governance will be reserved for users before they are reclaimable by others.

Example720
maxUsersSingleSite
number

The maximum Single Site client users allowed by the license.

Example200
usersSingleSiteLeaseTimeHours
number

Number of hours Single Site User Licenses will be reserved for users before they are reclaimable by others.

Example720
verifiedDnsNames
object
names
Array of string

The DNS names allowed by the license.

string
hashes
Array of string

The DNS names' hashes allowed by the license.

string
id
string (uuid)

Unique ID for the license.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
version
number

License version.

Example2
type
number

Type of the license. 1: production, 2: installation, 3: test, 4: built-in, 5: aws built-in, 6: metered

Example2
request
string

Request code for the license. If built-in license is in place, use this code to get a license. It's based on the CA certificate.

Example1675ab19fe2
expiration
string (date-time)

The expiration date of the license.

error
string

Error message if the License is not invalid.

ExampleLicense has expired.
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
displayField
string

Name of the field that should be displayed in the UI. It's an internal field to be used by the local replication service.

ExampleName
replicationMessage
string

Message to be displayed in the replication UI. It's an internal field to be used by the local replication service.

ExampleName is required.
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.